MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025167Community[OCCT] OCCT:Data Exchangepublic2014-08-19 15:272014-11-11 12:58
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025167: STEP Reader - allow NextAssemblyUsageOccurance to accept ProductDefinitionShape as child instead of ProductDefinition
DescriptionThe STEP files exported by PRO/ENGINEER can contain NextAssemblyUsageOccurance entities, which have ProductDefinitionShape entities as children, while the standard prescribes ProductDefinition.
But ProductDefinitionShape is always coupled with ProductDefinition instance, therefore a workaround can be provided
Steps To ReproduceUnfortunately, the STEP file is classified, I can only place a small snippet of it:
#1858356=SHAPE_DEFINITION_REPRESENTATION(#1858357,#1858358);
#1858357=PRODUCT_DEFINITION_SHAPE('','SHAPE FOR',#1858426);
#1858358=SHAPE_REPRESENTATION('',(),#1858417);
#1858359=NEXT_ASSEMBLY_USAGE_OCCURRENCE('526','Next assembly relationship',
'SOMETHING',#1858357,#1858332,$);
...
#1858426=PRODUCT_DEFINITION('part definition','',#1858425,#1858327);
TagsNo tags attached.
Test case numberbugs step(014) bug25167
Attached Files

- Relationships
parent of 0025176closedbugmaster Open CASCADE STEP Reader - no error report if referenced entity has wrong type 

-  Notes
(0030888)
git (administrator)
2014-08-19 15:50

Branch CR25167 has been created by drazmyslovich.

SHA-1: 0a50d79f732afc76b32ab27f186917d7a7d11949


This branch includes the following new commits:

       new 0a50d79 0025167: Workaround to allow NextAssemblyUsageOccurance accepting ProductDefinitionShape as child instead of ProductDefinition


Detailed log of new commits:

commit 0a50d79f732afc76b32ab27f186917d7a7d11949
Author: razmyslovich
Date: Tue Aug 19 13:49:37 2014 +0200

    0025167: Workaround to allow NextAssemblyUsageOccurance accepting ProductDefinitionShape as child instead of ProductDefinition
(0030889)
drazmyslovich (developer)
2014-08-19 15:50

The workaround is committed, please, review it.
(0030924)
gka (developer)
2014-08-20 12:21

Branch CR21567 is ready to be tested
(0030999)
apv (tester)
2014-08-21 13:37
edited on: 2014-08-21 16:58

Dear BugMaster,

Branch CR25167 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0a50d79f732afc76b32ab27f186917d7a7d11949

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs step bug25167 - OK
http://occt-tests/CR25167-master-occt/Debian60-64/bugs/step/bug25167.html [^]
http://occt-tests/CR25167-master-occt/Windows-32-VC10/bugs/step/bug25167.html [^]

Testing on Linux:
Total MEMORY difference: 352295748 / 351913792
Total CPU difference: 44175.61999999997 / 45954.130000000136

Testing on Windows:
Total MEMORY difference: 239643372 / 239473840
Total CPU difference: 40999.234375 / 32460.796875

(0031477)
git (administrator)
2014-09-08 15:51

Branch CR25167 has been deleted by inv.

SHA-1: 0a50d79f732afc76b32ab27f186917d7a7d11949

- Related Changesets
occt: master bedd79c4
Timestamp: 2014-08-19 11:49:37
Author: drazmyslovich
Committer: bugmaster
Details ] Diff ]
0025167: STEP Reader - allow NextAssemblyUsageOccurance to accept ProductDefinitionShape as child instead of ProductDefinition

Workaround to allow NextAssemblyUsageOccurance accepting ProductDefinitionShape as child instead of ProductDefinition
mod - src/RWStepRepr/RWStepRepr_RWAssemblyComponentUsage.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-19 15:27 drazmyslovich New Issue
2014-08-19 15:27 drazmyslovich Assigned To => gka
2014-08-19 15:50 git Note Added: 0030888
2014-08-19 15:50 drazmyslovich Note Added: 0030889
2014-08-19 15:50 drazmyslovich Status new => resolved
2014-08-19 15:57 kgv Summary STEP: Allow NextAssemblyUsageOccurance to accept ProductDefinitionShape as child instead of ProductDefinition => STEP Reader - allow NextAssemblyUsageOccurance to accept ProductDefinitionShape as child instead of ProductDefinition
2014-08-20 12:21 gka Note Added: 0030924
2014-08-20 12:21 gka Status resolved => reviewed
2014-08-20 12:47 apv Assigned To gka => apv
2014-08-20 18:21 abv Relationship added parent of 0025176
2014-08-21 13:37 apv Note Added: 0030999
2014-08-21 13:38 apv Assigned To apv => bugmaster
2014-08-21 13:38 apv Status reviewed => tested
2014-08-21 16:56 apv Test case number => bugs step(014) bug25167
2014-08-21 16:58 apv Note Edited: 0030999 View Revisions
2014-08-21 16:58 apv Note Edited: 0030999 View Revisions
2014-08-22 15:42 bugmaster Changeset attached => occt master bedd79c4
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:51 git Note Added: 0031477
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker